aboutsummaryrefslogtreecommitdiff
path: root/debian/pbuilder.postinst
diff options
context:
space:
mode:
authorEddy Petrisor <eddy@bounty.eddyp.homelinux.net>2007-06-25 21:05:24 +0300
committerEddy Petrisor <eddy@bounty.eddyp.homelinux.net>2007-06-28 02:19:57 +0300
commitc8c7b109c92c46f3fd5869e3bc7022b95cb1b720 (patch)
tree79f2f541b69fea3cbf140896c1cb9530ea79f64f /debian/pbuilder.postinst
parent77fa76e8118712ae35b04f2b01b2f6772bc3af68 (diff)
downloadpbuilder-c8c7b109c92c46f3fd5869e3bc7022b95cb1b720.tar
pbuilder-c8c7b109c92c46f3fd5869e3bc7022b95cb1b720.tar.gz
created a proper postinst which takes into account the different parameters which are used when calling it
Diffstat (limited to 'debian/pbuilder.postinst')
-rwxr-xr-xdebian/pbuilder.postinst64
1 files changed, 52 insertions, 12 deletions
diff --git a/debian/pbuilder.postinst b/debian/pbuilder.postinst
index f326182..fa16624 100755
--- a/debian/pbuilder.postinst
+++ b/debian/pbuilder.postinst
@@ -1,20 +1,60 @@
#!/bin/sh
+# postinst script for pbuilder
+#
+# see: dh_installdeb(1)
. /usr/share/debconf/confmodule
-CONFFILE=/etc/pbuilderrc
+set -e
-db_get pbuilder/mirrorsite
-MIRRORSITE="$RET"
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
-if [ "$MIRRORSITE" = "_" ]
-then
- MIRRORSITE=$(grep -E '^deb ' /etc/apt/sources.list | head -n 1 | awk '{print $2;}')
- db_set pbuilder/mirrorsite "$MIRRORSITE"
- db_input medium pbuilder/mirrorsite
- db_go
-fi
-TMPFILE=`mktemp`
-cat "$CONFFILE" | sed "s#MIRRORSITE=.*\$#MIRRORSITE=$MIRRORSITE#" > "$TMPFILE" && mv "$TMPFILE" "$CONFFILE"
+case "$1" in
+ configure)
+
+ CONFFILE=/etc/pbuilderrc
+
+ db_get pbuilder/mirrorsite
+ MIRRORSITE="$RET"
+
+ if [ "$MIRRORSITE" = "_" ]
+ then
+ MIRRORSITE=$(grep -E '^deb ' /etc/apt/sources.list | head -n 1 | awk '{print $2;}')
+ db_set pbuilder/mirrorsite "$MIRRORSITE"
+ db_input medium pbuilder/mirrorsite
+ db_go
+ fi
+
+ TMPFILE=`mktemp`
+ cat "$CONFFILE" | sed "s#MIRRORSITE=.*\$#MIRRORSITE=$MIRRORSITE#" > "$TMPFILE" && mv "$TMPFILE" "$CONFFILE"
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+